Poll a Custom Link job
curl --request GET \
--url https://api-us.hihobbes.com/api/v1/custom-link-jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "create",
"status": "queued",
"totalItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdCount": 0,
"failedCount": 0,
"thumbnailQueuedCount": 0,
"thumbnailProcessingCount": 0,
"thumbnailGeneratedCount": 0,
"thumbnailProvidedCount": 0,
"thumbnailFallbackCount": 0,
"thumbnailFailedCount": 0,
"progress": 0,
"pollAfterSeconds": 2,
"cancelRequested": false,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": "Custom Link job not found in the key's organization."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Custom Links
Poll a Custom Link job
Return lightweight status, progress, counters, quotas, and timestamps.
GET
/
api
/
v1
/
custom-link-jobs
/
{job_id}
Poll a Custom Link job
curl --request GET \
--url https://api-us.hihobbes.com/api/v1/custom-link-jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-us.hihobbes.com/api/v1/custom-link-jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-us.hihobbes.com/api/v1/custom-link-jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "create",
"status": "queued",
"totalItems": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentJobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdCount": 0,
"failedCount": 0,
"thumbnailQueuedCount": 0,
"thumbnailProcessingCount": 0,
"thumbnailGeneratedCount": 0,
"thumbnailProvidedCount": 0,
"thumbnailFallbackCount": 0,
"thumbnailFailedCount": 0,
"progress": 0,
"pollAfterSeconds": 2,
"cancelRequested": false,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"detail": "API key required or invalid."
}{
"detail": "API key does not include the required scope."
}{
"detail": "Custom Link job not found in the key's organization."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit or organization quota exceeded."
}Requires
custom_links:read or custom_links:write.
Store the response ETag and send it as If-None-Match on the next poll.
Unchanged jobs return 304 Not Modified. Begin at a two-second interval and
back off to five seconds after 30 seconds.Authorizations
bearerapiKeyHeader
Hobbes API key with the hb_live_ prefix.
Headers
Path Parameters
Asynchronous job UUID.
Response
Successful Response
Available options:
create, thumbnail, retry Available options:
queued, processing, completed, completed_with_errors, cancelled, failed Required range:
0 <= x <= 100Required range:
1 <= x <= 60